Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 520 - xferstats does not include host count
Summary: xferstats does not include host count
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: wu-ftpd
Version: 5.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1998-12-18 23:09 UTC by borgia
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-03-18 20:59:51 UTC


Attachments (Terms of Use)

Description borgia 1998-12-18 23:09:03 UTC
I've found that the xferstats program shipped with RH5.2
does not calculate the number of systems using an ftp site
and that this is due to a missing line in the script itself.
The ftpd xferstats script shipped with 5.0&5.1 contained the
same bug...

Here is the diff:

-cut-cut-cut-
106a107
>    $systemfiles{$line[6]}++;                    # Systems
Accessing the
Arc
-cut-cut-cut-

[!!!already reported for RH 5.0!!!]

Comment 1 David Lawrence 1998-12-23 16:29:59 UTC
This appears to be a suggestion for improvement of the product.

Comment 2 borgia 1998-12-26 23:05:59 UTC
the script author clearly intended to keep a count of systems
connecting to the server, but forgot a line in the script; imho, this
is not a suggestion for an improvement (otherwise, the $systems array
wouldn't be there in the first place), just a bug, although surely not
your fault (it is in fact present in the pristine source)

Comment 3 Cristian Gafton 1999-03-18 20:59:59 UTC
Fixed in the current beta


Note You need to log in before you can comment on or make changes to this bug.